// WAVLoader.h: interface for the CWAVLoader class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAVLOADER_H__599E6162_323E_11D4_A1EE_DFBE7378EC24__INCLUDED_)
#define AFX_WAVLOADER_H__599E6162_323E_11D4_A1EE_DFBE7378EC24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <windows.h>   
#include "mmsystem.h"
#include "dsound.h"

//wave loader class
class CWAVLoader  
{
private:
	//format
	LPWAVEFORMATEX lpWfx;

	//data chunk
	UCHAR* ucData;

	//length of the data chunk
	DWORD dwDataLength;

public:
	//constructor
	CWAVLoader();

	//destructor
	~CWAVLoader();

	//get data length
	DWORD GetLength();

	//get data pointer
	UCHAR* GetData();

	//get pointer to format
	LPWAVEFORMATEX GetFormat();

	//load from a file
	void Load(LPCTSTR lpszFilename);

	//destroy buffer
	void Destroy();
};

#endif // !defined(AFX_WAVLOADER_H__599E6162_323E_11D4_A1EE_DFBE7378EC24__INCLUDED_)
